DCMTK - Bug #427

JPEG Decoder does not report an error with malformed pixel data
2012-06-27 10:12 - J6rg Riesmeier

Status: Closed Start date: 2012-06-27
Priority: High Due date:

Assignee: Michael Onken % Done: 100%
Category: Library Estimated time: 0:00 hour
Target version: 3.6.2

Module: dcmjpeg und andere? Compiler:

Operating System:

Description
see: http://forum.decmtk.org/viewtopic.php?f=1&t=3475

Extract from the dump:
(0002,0010) UI =JPEGLossless:Non-hierarchical-1stOrderPrediction # 22, 1 TransferSyntaxUID

(7£e0,0010) OwWw fffe\e000\0000\0000\f££fe\e000\b39a\0003\d8£f\c3£f£\0b00\0210\0200... # 242610, 1 Pix
elData

Pixel data on the main dataset level is not encapsulated as Pixel ltems. You won't get any warnings or errors from using decmdjpeg
on such a file, but the pixel data is not decompressed, since the decoder assumes that it is already decompressed (for instance in
Icon Image Sequence).

The same problem will probably show up in other supported compression types in DCMTK.

History

#1 - 2013-04-28 23:59 - Andrew Chiw

- Subject changed from JPEG-Decoder meldet keinen Fehler bei fehlerhafter Kodierung der Pixel-Daten to JPEG Decoder does not report an error
with malformed pixel data

#2 - 2013-10-24 10:05 - Jorg Riesmeier
Also see this posting: http:/forum.dcmtk.org/viewtopic.php?f=18&{=3842&p=15299#p15299

#3 - 2014-08-04 11:56 - OFFIS DICOM Team

- Assignee set to Michael Onken

If the transfer syntax is "encapsulated" and pixel data on main dataset level is "uncompressed" (e.g. length other than undefined), then the decoder
should bail out with an error.

Note that uncompressed pixel data within a compressed dataset is permitted in the Icon Image Sequence, so this error should only be triggered on
the main dataset level.

#4 - 2017-01-10 18:41 - J6rg Riesmeier

- Description updated

#5 - 2017-02-02 10:45 - Michael Onken

The forum posting denoted under bullet 2 (http:/forum.dcmtk.org/viewtopic.php?f=1&t=38428&p=15299#p15299) refers to a different problem, which
was handled in Bug #571.

#6 - 2017-02-03 13:08 - Michael Onken
- Status changed from New to Closed

- % Done changed from 0 to 100

Closed with commit 1677f2.
Test files are found in OFFIS' (private) image collection under the related issue number.
